Subject: Re: ethtool-copy.h out of sync with linux header file?

From: "John W. Linville" <[email-masked]>
Date: Wed, 6 Dec 2017 09:19:50 -0500

On Tue, Dec 05, 2017 at 12:25:51PM -0800, Scott Branden wrote:
> Hi Paul,
> 
> 
> On 17-12-04 01:00 PM, Greenwalt, Paul wrote:
> > John,
> > 
> > Can this patch be reverted? As Stephen Hemminger mentioned
> > there is an ABI compatibility issue with this patch:
> I can add the revert into a patch series followed by the sync of
> ethtool-copy.h with net-netx ethtool.h

Yes, exactly. I see that you did just that in your later series
submission.

Thanks!

John

> > 
> > https://patchwork.ozlabs.org/patch/806049/#1757846
> > 
> > Thanks,
> > Paul
> > 
> > > -----Original Message-----
> > > From: Scott Branden [mailto:[email-masked]]
> > > Sent: Monday, December 4, 2017 12:07 PM
> > > To: [email-masked]; Greenwalt, Paul <[email-masked]>
> > > Cc: netdev <[email-masked]>
> > > Subject: ethtool-copy.h out of sync with linux header file?
> > > 
> > > Hi Paul/John,
> > > 
> > > I see a commit "ethtool: Add DMA Coalescing support" was added to
> > > ethtool-copy.h yet I cannot find the change in the ethtool.h in the
> > > linux kernel.
> > > 
> > > As such, I am unable to commit a change to ethtool-copy.h to sync it
> > > with net-next.  If I sync then ethtool will fail to compile.
> > > 
> > > Please advise.
> > > 
> > > Thanks,
> > > 
> > >    Scott
> > > 
> > > 
> 
> 

-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.